classification
Title: Documentation typo fix and a side question
Type: behavior Stage:
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Retro, docs@python, georg.brandl, orsenthil, r.david.murray
Priority: normal Keywords:

Created on 2010-10-16 14:09 by Retro, last changed 2010-11-26 11:37 by georg.brandl. This issue is now closed.

Messages (7)
msg118869 - (view) Author: Boštjan Mejak (Retro) Date: 2010-10-16 14:09
Please read the first sentence of the docs for the built-in function getattr() here: http://docs.python.org/library/functions.html?highlight=getattr#getattr

Fix the word 'attributed' to 'attribute', because the former is a typo.



A side question. When you document an object's API in the docstring, you write it like this:
getattr(object, name[, default]) -> value

Don't you find it nicer if that would look like this:
getattr(object, name, [default]) -> value

Note the cosmetic fix between the arguments 'name' and 'default'. Do you find my fix acceptable? If yes, please fix docstrings in Python that document the object's API from the '...name[, default]...' format to '...name, [default]...' format.
msg118876 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-10-16 16:28
No, that would be incorrect syntax (if you omit the optional argument you should also omit the comma that precedes it).
msg118880 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-16 18:51
Typo fixed in r85572.  Otherwise, as David says.
msg121503 - (view) Author: Boštjan Mejak (Retro) Date: 2010-11-19 08:39
If you visit  http://docs.python.org/library/functions.html?highlight=getattr#getattr  there is still the word 'attributed' present in online docs. Please fix the docs completely.
msg122346 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-11-25 10:27
Boštjan, it is fixed. The change will reflect when the docs get served
from the updated version. 

Also, Georg will take care of merging it to other branches.
msg122442 - (view) Author: Boštjan Mejak (Retro) Date: 2010-11-26 05:55
The change is still not reflected. Why not? It's been more than a
month now. What is going on?
msg122447 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-11-26 11:37
I don't waste my time by merging every little typo fix to the maintenance branches immediately; I rather merge them all at once every now and then.  You will certainly understand that nobody is harmed by a stray "d", even if it has a pointy tip.
History
Date User Action Args
2010-11-26 11:37:17georg.brandlsetmessages: + msg122447
2010-11-26 05:55:18Retrosetmessages: + msg122442
2010-11-25 10:27:49orsenthilsetnosy: + orsenthil
messages: + msg122346
2010-11-19 08:39:54Retrosetmessages: + msg121503
2010-10-16 18:51:36georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg118880

resolution: fixed
2010-10-16 16:29:36r.david.murraysettype: behavior
versions: - Python 2.6, Python 2.5, 3rd party, Python 3.3
2010-10-16 16:28:48r.david.murraysetnosy: + r.david.murray
messages: + msg118876
2010-10-16 14:09:02Retrocreate